Package org.apache.storm.container.oci

## Class OciContainerExecutorConfig.OciRuntimeConfig

- java.lang.Object
- - org.apache.storm.container.oci.OciContainerExecutorConfig.OciRuntimeConfig

- Enclosing class:
    OciContainerExecutorConfig

      public static class OciContainerExecutorConfig.OciRuntimeConfig
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `OciRuntimeConfig()` |
    `OciRuntimeConfig​(org.apache.storm.container.oci.OciContainerExecutorConfig.OciRuntimeConfig.OciRootConfig root, List<org.apache.storm.container.oci.OciContainerExecutorConfig.OciRuntimeConfig.OciMount> mounts, org.apache.storm.container.oci.OciContainerExecutorConfig.OciRuntimeConfig.OciProcessConfig process, String hostname, org.apache.storm.container.oci.OciContainerExecutorConfig.OciRuntimeConfig.OciHooksConfig hooks, org.apache.storm.container.oci.OciContainerExecutorConfig.OciRuntimeConfig.OciAnnotationsConfig annotations, org.apache.storm.container.oci.OciContainerExecutorConfig.OciRuntimeConfig.OciLinuxConfig linux)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.apache.storm.container.oci.OciContainerExecutorConfig.OciRuntimeConfig.OciAnnotationsConfig` | `getAnnotations()` |
    `org.apache.storm.container.oci.OciContainerExecutorConfig.OciRuntimeConfig.OciHooksConfig` | `getHooks()` |
    `String` | `getHostname()` |
    `org.apache.storm.container.oci.OciContainerExecutorConfig.OciRuntimeConfig.OciLinuxConfig` | `getLinux()` |
    `List<org.apache.storm.container.oci.OciContainerExecutorConfig.OciRuntimeConfig.OciMount>` | `getMounts()` |
    `org.apache.storm.container.oci.OciContainerExecutorConfig.OciRuntimeConfig.OciProcessConfig` | `getProcess()` |
    `org.apache.storm.container.oci.OciContainerExecutorConfig.OciRuntimeConfig.OciRootConfig` | `getRoot()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OciRuntimeConfig

          public OciRuntimeConfig()

    - #### OciRuntimeConfig

          public OciRuntimeConfig​(org.apache.storm.container.oci.OciContainerExecutorConfig.OciRuntimeConfig.OciRootConfig root,
                                  List<org.apache.storm.container.oci.OciContainerExecutorConfig.OciRuntimeConfig.OciMount> mounts,
                                  org.apache.storm.container.oci.OciContainerExecutorConfig.OciRuntimeConfig.OciProcessConfig process,
                                  String hostname,
                                  org.apache.storm.container.oci.OciContainerExecutorConfig.OciRuntimeConfig.OciHooksConfig hooks,
                                  org.apache.storm.container.oci.OciContainerExecutorConfig.OciRuntimeConfig.OciAnnotationsConfig annotations,
                                  org.apache.storm.container.oci.OciContainerExecutorConfig.OciRuntimeConfig.OciLinuxConfig linux)

  - ### Method Detail

    - #### getRoot

          public org.apache.storm.container.oci.OciContainerExecutorConfig.OciRuntimeConfig.OciRootConfig getRoot()

    - #### getMounts

          public List<org.apache.storm.container.oci.OciContainerExecutorConfig.OciRuntimeConfig.OciMount> getMounts()

    - #### getProcess

          public org.apache.storm.container.oci.OciContainerExecutorConfig.OciRuntimeConfig.OciProcessConfig getProcess()

    - #### getHostname

          public String getHostname()

    - #### getHooks

          public org.apache.storm.container.oci.OciContainerExecutorConfig.OciRuntimeConfig.OciHooksConfig getHooks()

    - #### getAnnotations

          public org.apache.storm.container.oci.OciContainerExecutorConfig.OciRuntimeConfig.OciAnnotationsConfig getAnnotations()

    - #### getLinux

          public org.apache.storm.container.oci.OciContainerExecutorConfig.OciRuntimeConfig.OciLinuxConfig getLinux()